Subject: Re: success compiling krb5-1.2.6 on cygwin
From: Charles Wilson <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 09 Apr 2003 22:14:53 -0400

See
http://www.cygwin.com/ml/cygwin-apps/2003-04/msg00007.html
and following thread.

--
Chuck

[email-masked] wrote:
> My hope is to be able to run ms2mit.exe
> and use standard kerberos programs based
> on my existing active directory credentials.
> I thought I'd mention a few issues about
> the compile process in case people have 
> suggestions for better ways to do things.
> 
> 1. The latest on crypto-publish.org is
> krb5-1.2.6. It would be nice to get the
> security patches for the more recent versions.
> 
> 2. Cygwin doesn't have a resolv library.
> There is a cutback resolver which doesn't
> interface to the win2k DNS cache. It is
> minires from Pierre Humblett at
> ftp://ftp.uni-erlangen.de/pub/pc/gnuwin32/cygwin/porters/Humblet_Pierre_A/V1
> .1
> - make install doesn't install everything,
> you have to do some manual install from the
> README.
> 
> 3. ./configure --with-cc=gcc --without-krb4 --disable-dns-for-kdc
> AD doesn't support krb4. I disable dns for kdc
> because minires doesn't support res_search.
> 
> 4. Add
>       #include <errno.h>
> to src/util/ss/ss_internal.h, otherwise the
> linker gives _errno errors.
> 
> 5. The current cygwin ships with bison 1.875
> but that failed to compile gssftpd/ftpcmd.y.
> I compiled and installed bison 1.28 (as on
> my redhat system) and all went well.
> 
> Krb5 then compiles OK. I haven't tried to run
> anything yet. Is this the best way to proceed?
> I know that heimdal works for cygwin and I
> only want the client stuff so maybe I should
> be using that instead. Actually I'm mostly
> only interested in 2 kerberos clients:
> kerberized ssh and kx509.
> 
> Thanks for any help.
> 
> Bob
> 
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/